package org.warp.jcwdb;

public class DBStandardTypes {
	private static final int STD =				0xFFFFF000;
	public static final int BOOLEAN =			STD|  0;
	public static final int BYTE =				STD|  1;
	public static final int SHORT =				STD|  2;
	public static final int CHAR =				STD|  3;
	public static final int INTEGER =			STD|  4;
	public static final int FLOAT =				STD|  5;
	public static final int DOUBLE =			STD|  6;
	public static final int STRING =			STD|  7;
	public static final int BYTE_ARRAY =		STD|  8;
	public static final int LIGHT_LIST =		STD|  9;
	public static final int GENERIC_OBJECT =	STD| 10;

	public static void registerStandardTypes(JCWDatabase db, TypesManager typesManager) {
		typesManager.registerType(String.class, STRING, new DBStringParser());
		typesManager.registerType(LightList.class, LIGHT_LIST, new DBLightListParser(db));
		typesManager.registerTypeFallback(new DBGenericObjectParser());
	}
}